CreateBaremetalPxeServer
CreateBaremetalPxeServer
POST
/zstack/v1/baremetal/pxeserversOperation ID
CreateBaremetalPxeServerSince
3.1.1Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe name of the deployment server.
descriptionStringOptional. The detailed description of the deployment server.
dhcpInterfaceStringRequiredThe DHCP NIC of the deployment server.
dhcpRangeBeginStringOptional. The starting IP address that DHCP assigns to a bare metal instance.
dhcpRangeEndStringOptional. The ending IP address that DHCP assigns to a bare metal instance.
dhcpRangeNetmaskStringOptional. The netmask of the IP range from which the DHCP server assigns an IP address to a bare metal instance.
zoneUuidStringRequiredThe zone UUID.
hostnameStringRequiredThe hostname.
sshUsernameStringRequiredThe SSH username.
sshPasswordStringRequiredThe SSH password.
sshPortIntegerOptional.
storagePathStringRequiredThe storage path.
resourceUuidStringOptional.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
